package org.artifactory.storage.jobs;

import org.artifactory.schedule.JobCommand;
import org.artifactory.schedule.JobName;
import org.artifactory.schedule.QuartzCommand;
import org.artifactory.schedule.TaskUser;
import org.artifactory.spring.InternalArtifactoryContext;
import org.artifactory.spring.InternalContextHelper;
import org.artifactory.storage.service.StorageMetricCollector;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;

@JobCommand(jobName = JobName.UPDATE_STORAGE_METRIC,
        description = "Update Storage Metric", clusterSingleton = true,
        singleton = true, allowedAffinity = false, schedulerUser = TaskUser.SYSTEM,
        manualUser = TaskUser.SYSTEM)
public class UpdateStorageMetricJob extends QuartzCommand {

    @Override
    protected void onExecute(JobExecutionContext callbackContext) throws JobExecutionException {
        InternalArtifactoryContext context = InternalContextHelper.get();
        if (context.isReady()) {
            StorageMetricCollector collector = context.beanForType(StorageMetricCollector.class);
            collector.update();
        }
    }

}
