package org.artifactory.descriptor.retention;

import lombok.Data;
import org.artifactory.descriptor.Descriptor;
import org.jfrog.common.config.diff.DiffKey;
import org.jfrog.common.config.diff.GenerateDiffFunction;
import org.jfrog.common.config.validation.NotUnicode;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

/**
 * @author volodymyrm
 */
@XmlType(name = "RetentionMasterTokenType", propOrder = {"accessToken", "baseUrl", "exchangeUrl", "expirationInMillis",
        "lastRefreshDateMillis", "tokenId", "tokenType", "scope"})
@GenerateDiffFunction
@Data
public class ArtifactRetentionMasterToken implements Descriptor {

    @XmlElement
    @DiffKey
    @NotUnicode
    private String accessToken;

    @XmlElement
    @DiffKey
    @NotUnicode
    private String baseUrl;

    @XmlElement
    @DiffKey
    @NotUnicode
    private String exchangeUrl;

    @XmlElement
    @DiffKey
    private long expirationInMillis;

    @XmlElement
    @DiffKey
    private long lastRefreshDateMillis;

    @XmlElement
    @DiffKey
    @NotUnicode
    private String tokenId;

    @XmlElement
    @DiffKey
    @NotUnicode
    private String tokenType;

    @XmlElement
    @DiffKey
    @NotUnicode
    private String scope;
}