package org.artifactory.descriptor.retention.search.criteria;

import lombok.Data;
import org.artifactory.descriptor.Descriptor;
import org.jfrog.common.config.diff.GenerateDiffFunction;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

/**
 * @author Tamar Rosen
 */
@XmlType(name = "RetentionPolicySearchCriteriaType", propOrder = {
        "properties", "repositories", "paths", "names", "createdBefore", "downloadedBefore"})
@GenerateDiffFunction
@Data
public class ArtifactRetentionPolicySearchCriteriaDescriptor implements Descriptor {
    @XmlElement
    ArtifactRetentionPolicyPropertiesCriteriaDescriptor properties;

    @XmlElement
    ArtifactRetentionPolicyPathsCriteriaDescriptor repositories;

    @XmlElement
    ArtifactRetentionPolicyPathsCriteriaDescriptor paths;

    @XmlElement
    ArtifactRetentionPolicyPathsCriteriaDescriptor names;

    @XmlElement
    Long createdBefore;

    @XmlElement
    Long downloadedBefore;
}
